| Earth Observation Mission CFI Software Pointing Software User Manual |

Public Attributes

# EECFI::TargetListInputInfo Class Reference

Information used to compute the target with target list method. More...

List of all members.

## Public Attributes
long | inputType
| See AzElTypeEnum.
double | azimuth
| Azimuth used as input to compute the target.
double | elevation
| Elevation used as input to compute the target.
long | azimuthIdx
| Azimuth index in azimuth/elevation grid.
long | elevationIdx
| Elevation index in azimuth/elevation grid.

## Detailed Description

Information used to compute the target with target list method.

## Member Data Documentation

double EECFI::TargetListInputInfo::azimuth

Azimuth used as input to compute the target.

Referenced by EECFI::Target::extraListAux(), EECFI::Target::extraListEfTarget(), EECFI::Target::extraListMain(), EECFI::Target::extraListSpecularReflection(), EECFI::Target::extraListTargetToMoon(), EECFI::Target::extraListTargetToSun(), and EECFI::Target::extraListVector().

long EECFI::TargetListInputInfo::azimuthIdx

Azimuth index in azimuth/elevation grid.

Referenced by EECFI::Target::extraListAux(), EECFI::Target::extraListEfTarget(), EECFI::Target::extraListMain(), EECFI::Target::extraListSpecularReflection(), EECFI::Target::extraListTargetToMoon(), EECFI::Target::extraListTargetToSun(), and EECFI::Target::extraListVector().

double EECFI::TargetListInputInfo::elevation

Elevation used as input to compute the target.

Referenced by EECFI::Target::extraListAux(), EECFI::Target::extraListEfTarget(), EECFI::Target::extraListMain(), EECFI::Target::extraListSpecularReflection(), EECFI::Target::extraListTargetToMoon(), EECFI::Target::extraListTargetToSun(), and EECFI::Target::extraListVector().

long EECFI::TargetListInputInfo::elevationIdx

Elevation index in azimuth/elevation grid.

Referenced by EECFI::Target::extraListAux(), EECFI::Target::extraListEfTarget(), EECFI::Target::extraListMain(), EECFI::Target::extraListSpecularReflection(), EECFI::Target::extraListTargetToMoon(), EECFI::Target::extraListTargetToSun(), and EECFI::Target::extraListVector().

long EECFI::TargetListInputInfo::inputType

See AzElTypeEnum.

Referenced by EECFI::Target::extraListAux(), EECFI::Target::extraListEfTarget(), EECFI::Target::extraListMain(), EECFI::Target::extraListSpecularReflection(), EECFI::Target::extraListTargetToMoon(), EECFI::Target::extraListTargetToSun(), and EECFI::Target::extraListVector().